Subject: Re: Canonical mode problem with v1.0
From: Christopher Faylor <[email-masked]>
To: Jeffrey Juliano <[email-masked]>
Cc: [email-masked]
Date: Thu, 13 Jan 2000 18:23:27 -0500

On Thu, Jan 13, 2000 at 03:59:23PM -0500, Jeffrey Juliano wrote:
>On Thu, 13 Jan 2000, Christopher Faylor wrote:
>
>On Thu, Jan 13, 2000 at 02:11:16PM -0500, [email-masked] wrote:
>
>[...]
>
>> >And yet backspace does not work when I run sh.exe, or cat > /dev/null,
>> >or dc, etc, etc, etc.
>> >
>> >     I'm stumped.  Please offer any suggestions for where to look for the
>> >problem.
>> 
>> I have no other suggestions.  You could try running cygcheck -r -s -v and
>> see if anything obvious is reported.  Otherwise, you could compare notes
>> with anyone else who has seen this problem.
>> 
>> Can anyone else, try this with their version of the Cygwin CD and report
>> their findings?
>
>I have the same problem as Jim, with backspace not working in sh.exe or
>cat > /dev/null. Below is the output of cygcheck on my system.
>
>hope this helps,

Maybe I missed this before, but I don't recall anyone mentioning that
they had set CYGWIN=tty.  That is the problem.  It does seem to be
a problem with the Cygwin CD version of cygwin1.dll.

The good news is that it is fixed in the latest snapshot.

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]